summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
Diffstat (limited to 'misc')
-rw-r--r--misc/lbdb/lbdb.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/misc/lbdb/lbdb.SlackBuild b/misc/lbdb/lbdb.SlackBuild
index 4b8ed85a4b..8f42823843 100644
--- a/misc/lbdb/lbdb.SlackBuild
+++ b/misc/lbdb/lbdb.SlackBuild
@@ -73,12 +73,8 @@ make install_prefix=$PKG install
mv $PKG/etc/lbdb_ldap.rc $PKG/etc/lbdb_ldap.rc.new
mv $PKG/etc/lbdb.rc $PKG/etc/lbdb.rc.new
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;